Kirjoittaja Aihe: Gaim -> Pidgin  (Luettu 10753 kertaa)

tmp

  • Vieras
Gaim -> Pidgin
« : 08.04.07 - klo:08.11 »
Gaimin käyttäjät varmaan ihmetelleet missä on Gaim 2.0 ... No nyt vastaus vihdoinkin saatiin.

Ubuntuu

  • Käyttäjä
  • Viestejä: 186
  • Linux koodari
    • Profiili
    • Kotisivuni
Vs: Gaim -> Pidgin
« Vastaus #1 : 08.04.07 - klo:14.06 »
Pidgin on saamassa mielestäni varsin lupaavalta vaikuttavan projektin kilpailijakseen. Tuo on vielä kehityskaaren alkutaipaleilla, mutta ainakin ulkoasun puolesta näyttää paremmalta kuin Pidgin.

tmp

  • Vieras
Vs: Gaim -> Pidgin
« Vastaus #2 : 08.04.07 - klo:14.46 »
Pidgin on saamassa mielestäni varsin lupaavalta vaikuttavan projektin kilpailijakseen. Tuo on vielä kehityskaaren alkutaipaleilla, mutta ainakin ulkoasun puolesta näyttää paremmalta kuin Pidgin.

Ei ilmeisesti tuokaan käytä Telepathy frameworkia...

Tuosta oli keskustelua Gossipin kehittäjien keskuudessa (jota itse suosin), eikä ilmeisestikään sekään ole Telepathyyn täysin siirtymässä. Tavallaan hankala tilanne, että niin monet projektit kehittävät "pyörän uudestaan" ja integrointi muiden ohjelmien kanssa pitää tehdä aina jokaiselle ohjelmalle erikseen. Käsittääkseni KDE 4:ssa tätä tilannetta ei ole, koska siellä olisi tarkoituksena käyttää Decibelä.

Ankka

  • Käyttäjä
  • Viestejä: 931
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #3 : 08.04.07 - klo:15.52 »
Pidgin on saamassa mielestäni varsin lupaavalta vaikuttavan projektin kilpailijakseen. Tuo on vielä kehityskaaren alkutaipaleilla, mutta ainakin ulkoasun puolesta näyttää paremmalta kuin Pidgin.

minun mielestäni gaim on kyllä adiumin jälkeen tyylikkäin näistä.

Monkey messengerin chattiruutu vie paljon tilaa, samalla tavalla kuin "aito" msn:kin..

Pidgin on saamassa mielestäni varsin lupaavalta vaikuttavan projektin kilpailijakseen. Tuo on vielä kehityskaaren alkutaipaleilla, mutta ainakin ulkoasun puolesta näyttää paremmalta kuin Pidgin.

Ei ilmeisesti tuokaan käytä Telepathy frameworkia...

Tuosta oli keskustelua Gossipin kehittäjien keskuudessa (jota itse suosin), eikä ilmeisestikään sekään ole Telepathyyn täysin siirtymässä. Tavallaan hankala tilanne, että niin monet projektit kehittävät "pyörän uudestaan" ja integrointi muiden ohjelmien kanssa pitää tehdä aina jokaiselle ohjelmalle erikseen. Käsittääkseni KDE 4:ssa tätä tilannetta ei ole, koska siellä olisi tarkoituksena käyttää Decibelä.

Minua on myös ärsyttänyt tällainen uudelleen ja uudelleen kehitys... ei open sourcessa tarvitse sellaista harrastaa.

Nythän on jo sekä telepathy että libgaim, ja edelleen nuo kehittävät uutta ja uutta..

janne

  • Käyttäjä
  • Viestejä: 5150
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #4 : 08.04.07 - klo:19.16 »
Tuosta oli keskustelua Gossipin kehittäjien keskuudessa (jota itse suosin), eikä ilmeisestikään sekään ole Telepathyyn täysin siirtymässä.

tuo on kyllä hieman huono uutinen :(
toisaalta minä olen taas harkitsemassa gossipista johonkin muuhun messengeriin siirtymistä, sillä siinä on ilmennyt muutama aivan järkyttävä ärsyttävyys käytön aikana. gaimiinkaan ei huvittaisia palata siinä esiintyvien ärsyttävyyksien vuoksi. saa nähdä löytyykö jotain parempaa...
Janne

Regel

  • Käyttäjä
  • Viestejä: 1090
  • Lucid
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #5 : 09.04.07 - klo:22.49 »
Tuossa
http://ubuntuforums.org/showthread.php?t=404508&highlight=pidgin
ketjussa on ohjeet kääntämiseen, ja joltain (ensimmäiset 4) sivulta löytyy myös linkki .deb pakettiin,
joka näyttäisi kuitenkin olevan osittain ristiriidassa gaimin kanssa, koska pidgin haluaa ylikirjoittaa yhden tiedoston.

Vähän ulkonäkö muuttunut, ei paljoa kuitenkaan 2.000006b:sta.

Timo Jyrinki

  • Sr. Member
  • ****
  • Viestejä: 1251
    • Profiili
    • kotisivu
Vs: Gaim -> Pidgin
« Vastaus #6 : 10.04.07 - klo:00.14 »
Minua on myös ärsyttänyt tällainen uudelleen ja uudelleen kehitys... ei open sourcessa tarvitse sellaista harrastaa.

Nythän on jo sekä telepathy että libgaim, ja edelleen nuo kehittävät uutta ja uutta..

Kyllä avoimeen lähdekoodiin kuuluu evoluutio, niin että kaikenlaista yritetään ja parhaimmat selviävät. Paljon vähemmän sitä uudelleenkehitystä kuitenkin tapahtuu kuin suljetun koodin maailmassa. Linkkaisin mielelläni johonkin hyvään kirjoitukseen tästä aiheesta, jos muistaisin jonkun. Hyvin usein esitetään ajatus, että "kyllähän tämän ja tämän pitäisi yhdistyä", mutta se esitetään aina ulkopuolisena. _Joskus_ toki yhdistyminen kannattaa, kuten Compiz+Beryl, mutta se on hyvin tapauskohtaista, ja tuossa olikin kyse forkista eikä (täysin) erillisistä projekteista.

No, tuossa ainakin kahdesta avoimen lähdekoodin Flash-soittimesta, Gnashista ja swfdec:stä, Taitaa tosin avautua LWN:n ei-tilaajien luettavaksi vasta keskiviikkona (?). Lainaus:"The optimal number of projects for a given project space sounds like a good PhD thesis topic. Having multiple projects in a space, or multiple solutions to a problem is simply how things work in the community. Any non-trivial bug or project space has multiple solutions, and often one cannot determine which is the best solution until all have been tried. Also, people working on these projects are real people with real interests and complex motivations for working on particular projects. Simplifying it into "you currently work on A, so you'd instead like working on B in the same project space" is unrealistic. And IMO, divisiveness between similar projects often has more to do with fanboys than it has to do with developers, who obviously share interests and experiences."

Kannattaa ehkä myös muistaa että Telepathyn takana on mm. suljetun koodin intressejä, kun taas Gaim on GPL:n alaista eikä salli suljetun koodin linkkaamista siihen. Telepathy on LGPL. Tälläkin saattaa olla Telepathyn tapauksessa merkitystä, kuten myös sillä että libgaim... anteeksi libpurple ei aiemmin ollut yhtä joustava ym. mitä se nyt on.

Ankka

  • Käyttäjä
  • Viestejä: 931
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #7 : 10.04.07 - klo:14.55 »
Minua on myös ärsyttänyt tällainen uudelleen ja uudelleen kehitys... ei open sourcessa tarvitse sellaista harrastaa.

Nythän on jo sekä telepathy että libgaim, ja edelleen nuo kehittävät uutta ja uutta..

Kyllä avoimeen lähdekoodiin kuuluu evoluutio, niin että kaikenlaista yritetään ja parhaimmat selviävät. Paljon vähemmän sitä uudelleenkehitystä kuitenkin tapahtuu kuin suljetun koodin maailmassa. Linkkaisin mielelläni johonkin hyvään kirjoitukseen tästä aiheesta, jos muistaisin jonkun. Hyvin usein esitetään ajatus, että "kyllähän tämän ja tämän pitäisi yhdistyä", mutta se esitetään aina ulkopuolisena. _Joskus_ toki yhdistyminen kannattaa, kuten Compiz+Beryl, mutta se on hyvin tapauskohtaista, ja tuossa olikin kyse forkista eikä (täysin) erillisistä projekteista.

No, tuossa ainakin kahdesta avoimen lähdekoodin Flash-soittimesta, Gnashista ja swfdec:stä, Taitaa tosin avautua LWN:n ei-tilaajien luettavaksi vasta keskiviikkona (?). Lainaus:"The optimal number of projects for a given project space sounds like a good PhD thesis topic. Having multiple projects in a space, or multiple solutions to a problem is simply how things work in the community. Any non-trivial bug or project space has multiple solutions, and often one cannot determine which is the best solution until all have been tried. Also, people working on these projects are real people with real interests and complex motivations for working on particular projects. Simplifying it into "you currently work on A, so you'd instead like working on B in the same project space" is unrealistic. And IMO, divisiveness between similar projects often has more to do with fanboys than it has to do with developers, who obviously share interests and experiences."

Kannattaa ehkä myös muistaa että Telepathyn takana on mm. suljetun koodin intressejä, kun taas Gaim on GPL:n alaista eikä salli suljetun koodin linkkaamista siihen. Telepathy on LGPL. Tälläkin saattaa olla Telepathyn tapauksessa merkitystä, kuten myös sillä että libgaim... anteeksi libpurple ei aiemmin ollut yhtä joustava ym. mitä se nyt on.

Hyvin sanottu. Ehkä se vain ulkopuolisena tuntuu ärsyttävältä, kehittäjillä tietenkin omat näkemyksensä asioista.

tmp

  • Vieras
Vs: Gaim -> Pidgin
« Vastaus #8 : 11.04.07 - klo:11.31 »
Hyvin sanottu. Ehkä se vain ulkopuolisena tuntuu ärsyttävältä, kehittäjillä tietenkin omat näkemyksensä asioista.

Hyvää tekstiä tosiaan, mutta mielestäni on edelleenkin hankalaa kun IM ohjelmat eivät jaa esimerkiksi yhteystietoja. Esimerkiksi kun käyttää Gimmietä niin se käyttää ainoastaan Pidginin (Gaimin) yhteystietoja, mutta ei noteeraa millään tavalla Gossipin yhteystietoihin. Ts. Gimmien "People" ominaisuus on minun käytössäni käyttökelvoton niin kauan kun se ei tue Gossipia. Mutta jos kaikki ohjelmat käyttäisivät yhteistä rajapintaa niin Gimmiessä olevaa ongelmaa olisi. Toivon, että KDE4:ssa Decibel tulee toimimaan ohjelmien yhteisenä "yhdyskäytävänä".

Ankka

  • Käyttäjä
  • Viestejä: 931
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #9 : 11.04.07 - klo:11.42 »
Hyvin sanottu. Ehkä se vain ulkopuolisena tuntuu ärsyttävältä, kehittäjillä tietenkin omat näkemyksensä asioista.

Hyvää tekstiä tosiaan, mutta mielestäni on edelleenkin hankalaa kun IM ohjelmat eivät jaa esimerkiksi yhteystietoja. Esimerkiksi kun käyttää Gimmietä niin se käyttää ainoastaan Pidginin (Gaimin) yhteystietoja, mutta ei noteeraa millään tavalla Gossipin yhteystietoihin. Ts. Gimmien "People" ominaisuus on minun käytössäni käyttökelvoton niin kauan kun se ei tue Gossipia. Mutta jos kaikki ohjelmat käyttäisivät yhteistä rajapintaa niin Gimmiessä olevaa ongelmaa olisi. Toivon, että KDE4:ssa Decibel tulee toimimaan ohjelmien yhteisenä "yhdyskäytävänä".

Totta. Toisaalta gimmien uudempana voisi olettaa tukevan useampaakin vanhaa yhteystietojärjestelmää.

Vaikuttaisi siltä, että on menossa eräänlainen murrosvaihe gnomessa ohjelmien integroinnin suhteen.. ennen ne olivat todella irrallisia, mutta pikkuhiljaa näyttäisi tulevan yhä enemmän erilaista yhteistä protokollaa ja integraatiota. Kde4 tosin todella näillä näkymin vie sen aivan uuteen ulottuvuuteen.

dotsi

  • Käyttäjä
  • Viestejä: 112
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #10 : 04.05.07 - klo:21.42 »
Tänään näköjään julkaistu Pidgin 2.0. Koetin asentaa parista .debistä joita löysin ubuntuforumsilta, mutta ne kun luonnollisesti vaativat gaimin poistamista, joka taas haluaa viedä mennessään mm. ubuntu-desktopin, niin päätin jäädä odottelemaan toimivampaa ratkaisua.
« Viimeksi muokattu: 04.05.07 - klo:21.43 kirjoittanut dotsi »

Vapaan koodin kananmuna

  • Käyttäjä
  • Viestejä: 1536
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #11 : 04.05.07 - klo:21.53 »
Tänään näköjään julkaistu Pidgin 2.0. Koetin asentaa parista .debistä joita löysin ubuntuforumsilta, mutta ne kun luonnollisesti vaativat gaimin poistamista, joka taas haluaa viedä mennessään mm. ubuntu-desktopin, niin päätin jäädä odottelemaan toimivampaa ratkaisua.
Ubuntu-desktop paketin pystyy kyllä puukottamaan, siten ettei se vaadi jotain tiettyä riippuvuutta, jos välttämättä haluaa. Eihän tuota pakettia muutenkaan tarvitse kuin lähinnä jakeluversiosta toiseen päivittäessä, eli voit ihan huoletta poistaakin sen.

Toisaalta tuntuisi vähän siltä, että oikea ratkaisu tuohon riippuvuusongelmaan olisi puukottaa sitä pidginiä niin, että sen pakettitiedoissa lukee, että se korvaa sen gaim paketin. Ei kyllä ole dpkg:stä sen vertaa tietoa, että tietäisi meneekö homma noin, mutta jos eläisimme täydellisessä maailmassa niin tuo idea toimisi.
En Vastaa Vaikeisiin Kysymyksiin.

Petri Järvisalo

  • Käyttäjä
  • Viestejä: 579
    • Profiili
    • Kotisivut
Vs: Gaim -> Pidgin
« Vastaus #12 : 06.05.07 - klo:04.04 »
http://www.getdeb.net/app.php?name=Pidgin

pitäisi olla järkevä paketti, asentui nätisti dapperiin, pitäisi asentua feistyynkin.
Lisää [ratkaistu] ketjun ensimmäisen viestin otsikkoon, kun ongelma on ratkennut.

dotsi

  • Käyttäjä
  • Viestejä: 112
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #13 : 06.05.07 - klo:13.32 »
Nätisti tuntui asentuvan tuolta ladattu paketti, mutta kun käynnistän ja yritän käyttää MSN-tiliäni niin tulee seuraavanlainen virheilmoitus:

Koodia: [Valitse]
SSL support is needed for MSN. Please install a supported SSL library.

Pidgin will not attempt to reconnect the account until you correct the error and re-enable the account.

Mitä minun siis pitää asentaa? Gaimissa kyseinen MSN-tili toimi kuitenkin ihan normaalisti.

dotsi

  • Käyttäjä
  • Viestejä: 112
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #14 : 13.06.07 - klo:19.27 »
Nätisti tuntui asentuvan tuolta ladattu paketti, mutta kun käynnistän ja yritän käyttää MSN-tiliäni niin tulee seuraavanlainen virheilmoitus:

Koodia: [Valitse]
SSL support is needed for MSN. Please install a supported SSL library.

Pidgin will not attempt to reconnect the account until you correct the error and re-enable the account.

Mitä minun siis pitää asentaa? Gaimissa kyseinen MSN-tili toimi kuitenkin ihan normaalisti.

Onkohan tähän löytynyt jo jotain ratkaisua? Kyseessä tällä kertaa Ubuntun omista pakettivarastoista asennettu pidgin.

Fa1r

  • Käyttäjä
  • Viestejä: 221
  • Reply #1!
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #15 : 14.06.07 - klo:00.38 »
Nätisti tuntui asentuvan tuolta ladattu paketti, mutta kun käynnistän ja yritän käyttää MSN-tiliäni niin tulee seuraavanlainen virheilmoitus:

Koodia: [Valitse]
SSL support is needed for MSN. Please install a supported SSL library.

Pidgin will not attempt to reconnect the account until you correct the error and re-enable the account.

Mitä minun siis pitää asentaa? Gaimissa kyseinen MSN-tili toimi kuitenkin ihan normaalisti.

Onkohan tähän löytynyt jo jotain ratkaisua? Kyseessä tällä kertaa Ubuntun omista pakettivarastoista asennettu pidgin.

Hymm... pakettivarastoja selailen näin netitse, ainakin feistyn repoista vieläkin löytyvä gaim tarvitsee paketit libsasl2-2 ja libsasl2-modules , jotka descin mukaan vaikuttaisivat hoitelevan ssl-kerrosta.

ehkä engländeereiltä löytyisi apu. tuosta..?

pyytääkin selvällä englannin kielellä asentamaan ssl-kirjastoja, toimikaa!
What you don't know can hurt you, only you won't know it.
--$(fortune)
Elastisen Linux-biisi

dotsi

  • Käyttäjä
  • Viestejä: 112
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #16 : 14.06.07 - klo:09.06 »
Nätisti tuntui asentuvan tuolta ladattu paketti, mutta kun käynnistän ja yritän käyttää MSN-tiliäni niin tulee seuraavanlainen virheilmoitus:

Koodia: [Valitse]
SSL support is needed for MSN. Please install a supported SSL library.

Pidgin will not attempt to reconnect the account until you correct the error and re-enable the account.

Mitä minun siis pitää asentaa? Gaimissa kyseinen MSN-tili toimi kuitenkin ihan normaalisti.

Onkohan tähän löytynyt jo jotain ratkaisua? Kyseessä tällä kertaa Ubuntun omista pakettivarastoista asennettu pidgin.

Hymm... pakettivarastoja selailen näin netitse, ainakin feistyn repoista vieläkin löytyvä gaim tarvitsee paketit libsasl2-2 ja libsasl2-modules , jotka descin mukaan vaikuttaisivat hoitelevan ssl-kerrosta.

ehkä engländeereiltä löytyisi apu. tuosta..?

pyytääkin selvällä englannin kielellä asentamaan ssl-kirjastoja, toimikaa!

Hmm, eipä ollu apua noista. Mainitut paketit kun systeemistä jo löytyvät, eikä linkittämässäsi ubuntuforumsin keskustelussa ollut juurikaan juttua muusta kuin pidginin kääntämisestä lähdekoodeista tai sen asentamisesta ulkopuolisista .debeistä.

Regel

  • Käyttäjä
  • Viestejä: 1090
  • Lucid
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #17 : 14.06.07 - klo:11.25 »
http://www.getdeb.net/app.php?name=pidgin

tuollapa näyttäisi olevan .deb-tiedosto Feistylle.

dotsi

  • Käyttäjä
  • Viestejä: 112
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #18 : 14.06.07 - klo:13.57 »
http://www.getdeb.net/app.php?name=pidgin

tuollapa näyttäisi olevan .deb-tiedosto Feistylle.

Tuolta olen sen jo ainakin kerran tainnut asentaa, mutta samasta virheestä valittelee joka kerta.

jere82

  • Käyttäjä
  • Viestejä: 67
  • Häh.... en tiiä
    • Profiili
Vs: Gaim -> Pidgin
« Vastaus #19 : 14.06.07 - klo:20.13 »
Nätisti tuntui asentuvan tuolta ladattu paketti, mutta kun käynnistän ja yritän käyttää MSN-tiliäni niin tulee seuraavanlainen virheilmoitus:

Koodia: [Valitse]
SSL support is needed for MSN. Please install a supported SSL library.

Pidgin will not attempt to reconnect the account until you correct the error and re-enable the account.

Mitä minun siis pitää asentaa? Gaimissa kyseinen MSN-tili toimi kuitenkin ihan normaalisti.
asenna libssl-dev ja muut riippuvuudet  sitten käännät sen  lähdekoodista nii johan toimii.
Mitäpä elämä ois ilman säätämistä